## org.apache.aries.subsystem.core.internal
Class BasicRequirement

    java.lang.Object
      org.apache.aries.subsystem.core.internal.AbstractRequirement
          org.apache.aries.subsystem.core.internal.BasicRequirement

All Implemented Interfaces:
  org.osgi.resource.Requirement

    public class BasicRequirement

extends AbstractRequirement

Nested Class Summary
`static class` `BasicRequirement.Builder`

Constructor Summary
`BasicRequirement(org.osgi.resource.Requirement requirement, org.osgi.resource.Resource resource)`
`BasicRequirement(String namespace, org.osgi.framework.Filter filter)`
`BasicRequirement(String namespace, String filter)`

Method Summary
`Map<String,Object>` `getAttributes()`
`Map<String,String>` `getDirectives()`
`String` `getNamespace()`
`org.osgi.resource.Resource` `getResource()`

Methods inherited from class org.apache.aries.subsystem.core.internal.AbstractRequirement
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicRequirement

    public BasicRequirement(org.osgi.resource.Requirement requirement,
                            org.osgi.resource.Resource resource)

### BasicRequirement

    public BasicRequirement(String namespace,
                            String filter)
                     throws org.osgi.framework.InvalidSyntaxException

Throws:
  `org.osgi.framework.InvalidSyntaxException`

### BasicRequirement

    public BasicRequirement(String namespace,
                            org.osgi.framework.Filter filter)

Method Detail

### getAttributes

    public Map<String,Object> getAttributes()

### getDirectives

    public Map<String,String> getDirectives()

### getNamespace

    public String getNamespace()

### getResource

    public org.osgi.resource.Resource getResource()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.